import request from '@/utils/request'

// 查询算法回调结果列表
export function buildIdList(id) {
  return request({
    url: '/laboratory/line/list?buildId='+id,
    method: 'get',
  })
}
//获取院系楼层数据
export function lablayout(id) {
  return request({
    url: '/laboratory/building/lablayout?showHazard=false&deptId='+id,
    method: 'get',
  })
}
//获取疏散路线详情
export function laboratoryLine(id) {
  return request({
    url: '/laboratory/line/'+id,
    method: 'get',
  })
}

//添加、编辑疏散路线
export function addExitJoin(data) {
  return request({
    url: '/laboratory/line/addExitJoin',
    method: 'post',
    data:data
  })
}

//删除疏散路线
export function laboratoryLineDel(id) {
  return request({
    url: '/laboratory/line/'+id,
    method: 'delete'
  })
}

//获取某个实验室的疏散数据但不执行疏散
export function lineEvacuateTow(id,type) {
  return request({
    url: '/laboratory/line/getRoute/' + id + '/' + type,
    method: 'get',
  })
}
